Technical Requirements




This page regroups system requirements and hardware compatibility information.

Supported Operating Systems

Operating SystemMinimumRecommended
Windows
  • Version : Windows 8 (64bit)
  • Memory : 8GB RAM
  • Graphics : 2GB VRAM
  • Version : Windows 10 (64bit)
  • Memory : 16GB RAM
  • Graphics : 4GB VRAM
Mac OS
  • Version : 10.12 (Sierra)
  • Memory : 8GB RAM
  • Graphics : 2GB VRAM
  • Version : 10.15 (Catalina)
  • Memory : 16GB RAM
  • Graphics : 4GB VRAM
Linux
  • Version : CentOS 7.0 / Ubuntu 16.04 (Steam only)
  • Memory : 8GB RAM
  • Graphics : 2GB VRAM
  • Version : CentOS 7.6 / Ubuntu 18.04 (Steam only)
  • Memory : 16GB RAM
  • Graphics : 4GB VRAM
  • For working in comfortable conditions we recommend a monitor with a resolution greater than 1 Mega Pixels and wider than 1280 pixels.
  • Exporting at 8K (8192*8192 pixels) requires a GPU with more than 2GB of VRam.
  • Only versions 2019.x and above have been notarized in order to run on MacOS 10.15 (Catalina).
  • On CentOS 7.5 or older, the application may not start because of a library dependency issues (FT_Get_Font_Format error). We recommend updating the system or installing the following library.
  • To use the software via RDP (Remote Desktop) see the dedicated documentation page.

Supported GPUs

Below is a list of the GPU models compatible with the application:

  • NVIDIA GeForce GTX 900 and above
  • NVIDIA Quadro M2000 and above
  • AMD Radeon HD 7700, R7 260, R9 290 and above
  • AMD Radeon Pro WX-2000 / Pro Duo and above
  • AMD FirePro W5000 and above

Computation freeze can happen in some rare cases on AMD VEGA GPUs.

Unsupported GPU configurations

  • Mac:
    • Only official Apple configurations are supported
    • Nvidia Iray renderer requires CUDA drivers to use the GPU
    • eGPUs are not currently supported and may have stability issues
  • Linux:
    • Mesa drivers on Linux are not supported
  • Integrated GPUs are not supported. While the application may be able to run on GPUs such as Intel HD 6000 or IRis Pro 6200 and above many issues can arise.

Minimum GPU Drivers Versions

Below is a list of the minimum GPU drivers version required for the application to run without issues. This list may be subject to changes as new versions release.

To download new drivers see: GPU has outdated drivers.

VendorPlatformVersion
NvidiaWindows
  • GeForce : 430.86
  • Quadro : 430.86
Linux
  • GeForce : 410.73
  • Quadro : 410.73
AMDWindows / Linux
  • Radeon : 19.7.1
  • Radeon Pro / Firepro : 18.Q4
IntelWindows / Linux
  • All : 15.33

On Mac OS the GPU driver is provided by the operating system itself. Update to the latest version of your OS to access the newest driver.

Drivers compatibility issues

Below is a list of GPU driver versions that may crash or create issues with the application:

VendorVersionIssue
Nvidia


425.xx

GPU Raytracing artifacts.

439.xx

Textures Corruptions.

441.08

Crash or stability issues.

442.19Crash or stability issues.

GPU Raytracing for Baking

To enable GPU Raytracing via Optix or DXR the minimum drivers recommended above must be installed.

DXR requires the following minimum configuration:

  • Windows 10 version 1809 (build number 10.0.17763), see this page for more information
  • GPU with Pascal architecture (Nvidia GeForce 10XX)

Supported Graphic tablets

Below is a list of compatible Graphic Tablets which have been tested with Substance Painter version 2019.3.3

VendorModelPlatformDrivers Version
Wacom
  • Intuos Pro MEDIUM Size
  • Intuos S Size
Windows6.3.38-2
Mac OS6.3.38-3